Bug 1342919 (configure_discard_per_domain_and_disk) - [RFE] Make discard configurable by a storage domain rather than a host
Summary: [RFE] Make discard configurable by a storage domain rather than a host
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: configure_discard_per_domain_and_disk
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core
Version: 3.6.2
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Idan Shaby
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On: send_discard_when_deleting_disks
Blocks: 1420186
TreeView+ depends on / blocked
 
Reported: 2016-06-06 06:36 UTC by Idan Shaby
Modified: 2019-04-28 14:02 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, it is now possible to configure discard after delete per block storage domain. Previously, a user could get similar functionality by configuring the discard_enable parameter in the VDSM configuration file. This caused each logical volume (disk or snapshot) that was about to be removed by this specific host to be discarded first. Now, discard after delete can be enabled for a block storage domain, rather than a host. This means that if discard after delete is enabled it no longer matters which host removes the logical volume as each logical volume under this domain will be discarded before it is removed.
Clone Of:
Environment:
Last Closed: 2017-02-15 14:59:42 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+
bmcclain: priority_rfe_tracking+
ratamir: testing_plan_complete+
ylavi: planning_ack+
tnisan: devel_ack+
ratamir: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 981626 0 high CLOSED [RFE] Send discard when deleting virtual disks from block based storage domain to regain space in thin provisioned stora... 2021-08-30 11:49:57 UTC
Red Hat Bugzilla 1438822 0 unspecified CLOSED The discard_enable flag should not be used anymore in oVirt 4.2 2021-02-22 00:41:40 UTC
oVirt gerrit 60628 0 'None' MERGED storage: add getDeviceList discard related fields 2021-02-18 08:27:20 UTC
oVirt gerrit 67487 0 'None' MERGED Introduce StorageDomain::discardAfterDelete 2021-02-18 08:27:22 UTC
oVirt gerrit 67845 0 'None' MERGED backend: rename PostZero to PostDeleteAction 2021-02-18 08:27:20 UTC
oVirt gerrit 67846 0 'None' MERGED backend: generalize method names in BlockStorageDiscardFunctionalityHelper 2021-02-18 08:27:22 UTC
oVirt gerrit 67847 0 'None' MERGED core: add Discard After Delete to storage domain 2021-02-18 08:27:22 UTC
oVirt gerrit 67925 0 'None' MERGED storage: add discard argument to all related flows 2021-02-18 08:27:20 UTC
oVirt gerrit 68083 0 'None' MERGED backend: use injections in PostDeleteActionHandler 2021-02-18 08:27:21 UTC
oVirt gerrit 68084 0 'None' MERGED core: send discard to vdsm according to DAD value 2021-02-18 08:27:22 UTC
oVirt gerrit 68105 0 'None' MERGED webadmin: add Discard After Delete to storage view 2021-02-18 08:27:22 UTC
oVirt gerrit 68459 0 'None' MERGED storage: add missing discard parameter 2021-02-18 08:27:23 UTC

Internal Links: 981626 1438822

Description Idan Shaby 2016-06-06 06:36:25 UTC
Description of problem:
Today, sending discard when removing a disk or a snapshot can be configured on the vdsm configuration file for a host. That means that a host with this property on will send discard calls for each disk/snapshot removal on any block storage domain.

Since the user might want to send discard calls only for some storage domains (those who are built on thin provisioned storage that supports discard), we should change this configuration from host oriented to block storage domain oriented.

Comment 1 Red Hat Bugzilla Rules Engine 2016-06-06 06:37:33 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.


Note You need to log in before you can comment on or make changes to this bug.